wibble::log::OstreamSender Struct Reference

Discard all messages. More...

`#include <ostream.h>`

Inheritance diagram for wibble::log::OstreamSender:
[legend]
Collaboration diagram for wibble::log::OstreamSender:
[legend]

## Public Member Functions

| OstreamSender (std::ostream &out)
virtual | ~OstreamSender ()
virtual void | send (Level level, const std::string &msg)
| Log one line of text with the given level. More...
Public Member Functions inherited from wibble::log::Sender
virtual | ~Sender ()

## Protected Attributes

std::ostream & | out

## Detailed Description

Discard all messages.

## Constructor & Destructor Documentation

## OstreamSender()

wibble::log::OstreamSender::OstreamSender | ( | std::ostream & | out | ) |

## ~OstreamSender()

virtual wibble::log::OstreamSender::~OstreamSender | ( |  | ) |

inline virtual

References send().

## Member Function Documentation

## send()

void wibble::log::OstreamSender::send | ( | Level | level,
|  | const std::string & | msg
| ) |  |

virtual

Log one line of text with the given level.

Do not add a trailing newline

Implements wibble::log::Sender.

References out, and wibble::log::WARN.

Referenced by ~OstreamSender().

## Member Data Documentation

## out

std::ostream& wibble::log::OstreamSender::out

protected

Referenced by send().

The documentation for this struct was generated from the following files:

- ostream.h
- ostream.cpp